Hotels
Get the details of a hotel
Returns detailed information about a specific hotel, including amenities, policies, and images.
GET
/
hotels
/
{id}
Get the details of a hotel
curl --request GET \
--url https://api.staging.rovemiles.com/functions/v1/hotels/{id} \
--header 'Authorization: Bearer <token>'{
"id": "RM42853",
"name": "The Rove Grand Hotel",
"description": "Located in the heart of downtown, The Rove Grand Hotel offers luxury accommodations with stunning city views. This 5-star property features a rooftop pool, full-service spa, and three signature restaurants including our award-winning steakhouse and rooftop cocktail lounge. All rooms feature premium bedding, smart TVs, and marble bathrooms with rainfall showers. Business travelers will appreciate the 24-hour business center, high-speed WiFi, and proximity to the financial district.",
"address": {
"line1": "123 Broadway",
"line2": "",
"city": "New York",
"stateProvince": "NY",
"postalCode": "10007",
"countryCode": "US",
"countryName": "United States"
},
"location": {
"latitude": 40.7128,
"longitude": -74.006
},
"stars": 5,
"amenities": [
{
"id": 1,
"name": "Free WiFi",
"category": "Internet"
},
{
"id": 2,
"name": "Swimming Pool",
"category": "Facility"
},
{
"id": 3,
"name": "Spa",
"category": "Wellness"
},
{
"id": 5,
"name": "Restaurant",
"category": "Food & Drink"
},
{
"id": 8,
"name": "Fitness Center",
"category": "Wellness"
},
{
"id": 12,
"name": "Business Center",
"category": "Business"
},
{
"id": 15,
"name": "Valet Parking",
"category": "Parking"
},
{
"id": 18,
"name": "Concierge Service",
"category": "Service"
}
],
"images": [
{
"url": "https://static.rovemiles.com/hotels/RM42853/exterior1.jpg",
"caption": "Hotel Exterior",
"category": "exterior"
},
{
"url": "https://static.rovemiles.com/hotels/RM42853/lobby1.jpg",
"caption": "Grand Lobby",
"category": "interior"
},
{
"url": "https://static.rovemiles.com/hotels/RM42853/deluxe_king1.jpg",
"caption": "Deluxe King Room",
"category": "room"
},
{
"url": "https://static.rovemiles.com/hotels/RM42853/exec_suite1.jpg",
"caption": "Executive Suite",
"category": "room"
},
{
"url": "https://static.rovemiles.com/hotels/RM42853/restaurant1.jpg",
"caption": "Signature Restaurant",
"category": "restaurant"
},
{
"url": "https://static.rovemiles.com/hotels/RM42853/pool1.jpg",
"caption": "Rooftop Pool",
"category": "pool"
}
],
"policies": {
"checkIn": {
"beginTime": "15:00",
"endTime": "23:00"
},
"checkOut": {
"time": "11:00"
}
}
}Authorizations
API key for authentication. Add your API key to the Authorization header with this format: 'Bearer your_api_key_here'
Path Parameters
Unique identifier of the hotel
Response
OK
Unique identifier for the hotel
Name of the hotel
Detailed description of the hotel
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Hotel star rating (1-5)
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Previous
Retrieve minimum rate for hotelsReturns the cheapest rate available for each hotel in the provided list. Ideal for listing pages where you only need to display the starting price for each hotel. All prices are in Rove Miles.
Next
⌘I
Get the details of a hotel
curl --request GET \
--url https://api.staging.rovemiles.com/functions/v1/hotels/{id} \
--header 'Authorization: Bearer <token>'{
"id": "RM42853",
"name": "The Rove Grand Hotel",
"description": "Located in the heart of downtown, The Rove Grand Hotel offers luxury accommodations with stunning city views. This 5-star property features a rooftop pool, full-service spa, and three signature restaurants including our award-winning steakhouse and rooftop cocktail lounge. All rooms feature premium bedding, smart TVs, and marble bathrooms with rainfall showers. Business travelers will appreciate the 24-hour business center, high-speed WiFi, and proximity to the financial district.",
"address": {
"line1": "123 Broadway",
"line2": "",
"city": "New York",
"stateProvince": "NY",
"postalCode": "10007",
"countryCode": "US",
"countryName": "United States"
},
"location": {
"latitude": 40.7128,
"longitude": -74.006
},
"stars": 5,
"amenities": [
{
"id": 1,
"name": "Free WiFi",
"category": "Internet"
},
{
"id": 2,
"name": "Swimming Pool",
"category": "Facility"
},
{
"id": 3,
"name": "Spa",
"category": "Wellness"
},
{
"id": 5,
"name": "Restaurant",
"category": "Food & Drink"
},
{
"id": 8,
"name": "Fitness Center",
"category": "Wellness"
},
{
"id": 12,
"name": "Business Center",
"category": "Business"
},
{
"id": 15,
"name": "Valet Parking",
"category": "Parking"
},
{
"id": 18,
"name": "Concierge Service",
"category": "Service"
}
],
"images": [
{
"url": "https://static.rovemiles.com/hotels/RM42853/exterior1.jpg",
"caption": "Hotel Exterior",
"category": "exterior"
},
{
"url": "https://static.rovemiles.com/hotels/RM42853/lobby1.jpg",
"caption": "Grand Lobby",
"category": "interior"
},
{
"url": "https://static.rovemiles.com/hotels/RM42853/deluxe_king1.jpg",
"caption": "Deluxe King Room",
"category": "room"
},
{
"url": "https://static.rovemiles.com/hotels/RM42853/exec_suite1.jpg",
"caption": "Executive Suite",
"category": "room"
},
{
"url": "https://static.rovemiles.com/hotels/RM42853/restaurant1.jpg",
"caption": "Signature Restaurant",
"category": "restaurant"
},
{
"url": "https://static.rovemiles.com/hotels/RM42853/pool1.jpg",
"caption": "Rooftop Pool",
"category": "pool"
}
],
"policies": {
"checkIn": {
"beginTime": "15:00",
"endTime": "23:00"
},
"checkOut": {
"time": "11:00"
}
}
}